#ifndef DECL_USER_PERM
#define DECL_USER_PERM(id, name)
#endif

// Don't include this file directly. It is included from special places, with different
// definitions of the `DECL_USER_PERM()` macro.

DECL_USER_PERM(0, ArbitraryTeleport)
DECL_USER_PERM(1, ApproveNewUsers)
DECL_USER_PERM(2, ConfigServer)
DECL_USER_PERM(3, SetTimeOfDay)
DECL_USER_PERM(4, GiveSelfItems)
DECL_USER_PERM(5, Noclip)
DECL_USER_PERM(6, Debug)
DECL_USER_PERM(7, Kick)
DECL_USER_PERM(8, GrantPerms)
DECL_USER_PERM(9, RevokePerms)
DECL_USER_PERM(10, BanUsers)
DECL_USER_PERM(11, UnbanUsers)

#undef DECL_USER_PERM